{% extends 'property_vacancy_management/building_unit/building_unit.html.twig' %}

{% block stylesheets %}
    {{ parent() }}
    {{ encore_entry_link_tags('property_vacancy_management/building_unit/property_owner/occurrence/delete') }}
{% endblock %}

{% block javascripts %}
    {{ parent() }}
    {{ encore_entry_script_tags('property_vacancy_management/building_unit/property_owner/occurrence/delete') }}
{% endblock %}

{% block mainHeader %}
    <div class="container-fluid d-flex bg-white justify-content-start px-4 py-4">
        <a href="{{ path('property_vacancy_management_building_unit_property_owner_occurrence_edit', {'buildingUnitId': buildingUnit.getId(), 'occurrenceId': occurrence.getId()}) }}" class="me-2 d-flex align-items-center text-decoration-none"><i class="material-icons md-36">arrow_back</i></a>
        <span class="text-primary fs-5 align-self-center">Objekt {{ buildingUnit.getName() }} - Vorgang löschen</span>
        {% if is_granted('delete', occurrence) == true %}
            {{ form_widget(occurrenceDeleteForm.delete, {'label': 'VORGANG LÖSCHEN', 'id': occurrenceDeleteForm.delete.vars.id ~ '_submit_button', 'attr': {'class': 'mdc-button mdc-button--raised mdc-button--leading delete-button ms-auto align-self-center'}}) }}
        {% endif %}
    </div>
{% endblock %}

{% block main %}
    <div class="container-lg mt-4">
        <div class="mdc-card mb-4 p-4">
            <h1 class="fs-4 d-flex align-items-center mb-3">
                <span class="material-icons me-2 text-danger">warning_amber</span>
                Der Vorgang wird unwiderruflich gelöscht.
            </h1>
            <p>
                Um den untenstehenden Vorgang zu löschen, müssen Sie zuerst den folgenden Code eingeben:
                <span class="delete-code">vorgang_{{ occurrence.getId() }}</span>
            </p>
            {{ form_start(occurrenceDeleteForm, {'attr': {'id': occurrenceDeleteForm.vars.id ~ '_form'}}) }}
            {% include 'person_management/form/occurrence/occurrence_delete_form.html.twig' with {'form': occurrenceDeleteForm} only %}
            {{ form_row(occurrenceDeleteForm._token) }}
            {{ form_end(occurrenceDeleteForm, {'render_rest': false}) }}
        </div>
        <div class="mdc-card mb-4 p-4">
            {% include 'person_management/form/occurrence/occurrence_form.html.twig' with {'form': occurrenceForm, 'personSelectType': occurrenceForm.propertyOwner} only %}
        </div>
    </div>
{% endblock %}
